org.apache.tinkerpop.gremlin.structure.util.star

## Class StarGraphTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.util.star.StarGraphTest

-     public class StarGraphTest
      extends AbstractGremlinTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StarGraphTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAttachWithCreateMethod()`
    `void` | `shouldAttachWithGetMethod()`
    `void` | `shouldCopyFromGraphAToGraphB()`
    `void` | `shouldHandleBothEdgesGraphFilterOnSelfLoop()`
    `void` | `shouldHandleSelfLoops()`
    `void` | `shouldHashAndEqualsCorrectly()`
    `void` | `shouldSerializeCorrectlyUsingGryo()`
    `void` | `shouldValidateThatOriginalAndStarVerticesHaveTheSameTopology()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StarGraphTest

          public StarGraphTest()

  - ### Method Detail

    - #### shouldHashAndEqualsCorrectly

          public void shouldHashAndEqualsCorrectly()

    - #### shouldValidateThatOriginalAndStarVerticesHaveTheSameTopology

          public void shouldValidateThatOriginalAndStarVerticesHaveTheSameTopology()

    - #### shouldSerializeCorrectlyUsingGryo

          public void shouldSerializeCorrectlyUsingGryo()

    - #### shouldAttachWithGetMethod

          public void shouldAttachWithGetMethod()

    - #### shouldCopyFromGraphAToGraphB

          public void shouldCopyFromGraphAToGraphB()
                                            throws Exception

      Throws:
        `Exception`

    - #### shouldAttachWithCreateMethod

          public void shouldAttachWithCreateMethod()

    - #### shouldHandleSelfLoops

          public void shouldHandleSelfLoops()

    - #### shouldHandleBothEdgesGraphFilterOnSelfLoop

          public void shouldHandleBothEdgesGraphFilterOnSelfLoop()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.